library aegis_flutter_sdk;

import './src/model/config.dart';
import 'src/core.dart';
import 'src/performance/page_navigator_observer.dart';

export './src/model/config.dart';
export './src/model/log.dart';
export './src/performance/page_navigator_observer.dart';

/// flutter-tam Android/iOS/Flutter-Web 可用的上报（aegis）类
/// 对外接口参考[Operator]
class Aegis extends Core {
  Aegis(Config config) : super(config) {
    PageNavigatorObserver.instance.init(this);
  }
}
